import { registerCodeBlockRenderer } from ".";
import { SvelteCodeBlockRenderer } from "./SvelteCodeBlockRenderer";
import ReadingCalendarCodeBlockView from "./ReadingCalendarCodeBlockView.svelte";
import type BookTrackerPlugin from "@src/main";

export function registerReadingCalendarCodeBlockProcessor(
	plugin: BookTrackerPlugin
): void {
	registerCodeBlockRenderer(
		plugin,
		"reading-calendar",
		(source, el) =>
			new SvelteCodeBlockRenderer(
				ReadingCalendarCodeBlockView,
				plugin,
				source,
				el
			)
	);
}
