import { registerCodeBlockRenderer } from ".";
import { SvelteCodeBlockRenderer } from "./SvelteCodeBlockRenderer";
import ReadingLogCodeBlockView from "./ReadingLogCodeBlockView.svelte";
import type BookTrackerPlugin from "@src/main";

export function registerReadingLogCodeBlockProcessor(
	plugin: BookTrackerPlugin
): void {
	registerCodeBlockRenderer(
		plugin,
		"reading-log",
		(source, el) =>
			new SvelteCodeBlockRenderer(
				ReadingLogCodeBlockView,
				plugin,
				source,
				el
			)
	);
}
